<div class="min-w-full p-2">
    <form class="flex flex-col w-full">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                Selected Line # 1
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">

            <!--table component-->
            <!--base table component-->
            <div class="overflow-auto srm-bg rounded-lg">
                <table mat-table [dataSource]="dataSource" matSort class="expanded-rows-table font-helvetica text-gray-500">

                    <!-- ID Column -->
                    <ng-container matColumnDef="id">
                        <th mat-header-cell *matHeaderCellDef style="max-width: 60px; min-width: 50px; width :50px"></th>
                        <td mat-cell *matCellDef="let row">
                            <mat-radio-button [color]="'primary'"></mat-radio-button>
                        </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="supplierName">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 150px; min-width: 140px">
                            Selected Supplier to Award
                        </th>
                        <td mat-cell *matCellDef="let row"> {{row.supplierName}} </td>
                    </ng-container>

                    <!-- Status Column -->
                    <ng-container matColumnDef="comment">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 180px; min-width: 150px">
                            Comment
                        </th>
                        <td mat-cell *matCellDef="let row">
                            <mat-form-field class="w-full">
                                <input matInput>
                            </mat-form-field>
                        </td>
                    </ng-container>


                    <tr mat-header-row *matHeaderRowDef="displayedColumn"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumn;"></tr>

                    <!-- Row shown when there is no matching data. -->
                    <tr class="mat-row" *matNoDataRow>
                        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                    </tr>
                </table>
            </div>
            <p class="font-medium text-lg mb-2 mt-4">
                Other Options
            </p>
            <div class="overflow-auto srm-bg rounded-lg">
                <table mat-table [dataSource]="dataSource2" matSort class="expanded-rows-table font-helvetica text-gray-500">

                    <!-- ID Column -->
                    <ng-container matColumnDef="id">
                        <th mat-header-cell *matHeaderCellDef style="max-width: 60px; min-width: 50px; width :50px"></th>
                        <td mat-cell *matCellDef="let row">
                            <mat-radio-button [color]="'primary'"></mat-radio-button>
                        </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="supplierName">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 150px; min-width: 140px">
                            Other Suppliers to Award
                        </th>
                        <td mat-cell *matCellDef="let row"> {{row.supplierName}} </td>
                    </ng-container>

                    <!-- Status Column -->
                    <ng-container matColumnDef="comment">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 180px; min-width: 150px">
                            Comment
                        </th>
                        <td mat-cell *matCellDef="let row">
                            <mat-form-field class="w-full">
                                <input matInput>
                            </mat-form-field>
                        </td>
                    </ng-container>


                    <tr mat-header-row *matHeaderRowDef="displayedColumn"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumn;"></tr>

                    <!-- Row shown when there is no matching data. -->
                    <tr class="mat-row" *matNoDataRow>
                        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                    </tr>
                </table>
            </div>
            <!--table component end-->


                <div class="flex flex-col justify-start mt-5">
                    <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                        <span>{{'Successfully saved'}}</span>
                    </div>
                    <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                        <span>{{'Something went wrong'}}</span>
                    </div>
                </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Award</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
